Page MenuHomePhabricator

[Regression pre-wmf.32] The cursor is appearing before the typed character instead of after when adding content to a new section
Closed, ResolvedPublic

Description

Steps to replicate:

  1. From VE, enable the "New section" tab by going to Options>Advanced Settings.
  2. Save the change.
  3. Reload the page so that the "New section" tab appears.
  4. Click on the "New Section" tab.
  5. Type a heading for this section.
  6. Press Tab.
  7. Now type something under that section.

Observe that, the cursor is appearing before the typed character instead of after.

Event Timeline

Ryasmeen created this task.May 11 2020, 9:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2020, 9:44 PM
matmarex added a subscriber: matmarex.

It's only a visual bug, it happens when enabling syntax highlighting. I forgot to update it after T251648.

Restricted Application added a project: Community-Tech. · View Herald TranscriptMay 11 2020, 10:40 PM

Change 595674 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/CodeMirror@master] Update VisualEditor styles for Vector changes

https://gerrit.wikimedia.org/r/595674

Change 595674 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Update VisualEditor styles for Vector changes

https://gerrit.wikimedia.org/r/595674

Ryasmeen edited projects, added Verified; removed Editing QA.May 12 2020, 7:04 PM
ppelberg closed this task as Resolved.May 21 2020, 11:38 PM
ppelberg claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 21 2020, 11:38 PM